| TagLib 1.13 |  |

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
TagLib::ID3v1::Tag Class Reference

The main class in the ID3v1 implementation. More...

`#include <id3v1tag.h>`

Inheritance diagram for TagLib::ID3v1::Tag:
[legend]
Collaboration diagram for TagLib::ID3v1::Tag:
[legend]

## Public Member Functions
| Tag ()
| Tag (File *file, long tagOffset)
virtual | ~Tag ()
ByteVector | render () const
virtual String | title () const
virtual String | artist () const
virtual String | album () const
virtual String | comment () const
virtual String | genre () const
virtual unsigned int | year () const
virtual unsigned int | track () const
virtual void | setTitle (const String &s)
virtual void | setArtist (const String &s)
virtual void | setAlbum (const String &s)
virtual void | setComment (const String &s)
virtual void | setGenre (const String &s)
virtual void | setYear (unsigned int i)
virtual void | setTrack (unsigned int i)
unsigned int | genreNumber () const
void | setGenreNumber (unsigned int i)
Public Member Functions inherited from TagLib::Tag
virtual | ~Tag ()
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual String | title () const =0
virtual String | artist () const =0
virtual String | album () const =0
virtual String | comment () const =0
virtual String | genre () const =0
virtual unsigned int | year () const =0
virtual unsigned int | track () const =0
virtual void | setTitle (const String &s)=0
virtual void | setArtist (const String &s)=0
virtual void | setAlbum (const String &s)=0
virtual void | setComment (const String &s)=0
virtual void | setGenre (const String &s)=0
virtual void | setYear (unsigned int i)=0
virtual void | setTrack (unsigned int i)=0
virtual bool | isEmpty () const

## Static Public Member Functions
static ByteVector | fileIdentifier ()
static void | setStringHandler (const StringHandler *handler)
Static Public Member Functions inherited from TagLib::Tag
static void | duplicate (const Tag *source, Tag *target, bool overwrite=true)

## Protected Member Functions
void | read ()
void | parse (const ByteVector &data)
Protected Member Functions inherited from TagLib::Tag
| Tag ()

## Detailed Description

The main class in the ID3v1 implementation.

This is an implementation of the ID3v1 format. ID3v1 is both the simplest and most common of tag formats but is rather limited. Because of its pervasiveness and the way that applications have been written around the fields that it provides, the generic TagLib::Tag API is a mirror of what is provided by ID3v1.

ID3v1 tags should generally only contain Latin1 information. However because many applications do not follow this rule there is now support for overriding the ID3v1 string handling using the ID3v1::StringHandler class. Please see the documentation for that class for more information.

See also
  StringHandler

Note
  Most fields are truncated to a maximum of 28-30 bytes. The truncation happens automatically when the tag is rendered.

## Constructor & Destructor Documentation

## ◆ Tag() [1/2]

TagLib::ID3v1::Tag::Tag | ( |  | ) |

Create an ID3v1 tag with default values.

## ◆ Tag() [2/2]

TagLib::ID3v1::Tag::Tag | ( | File * | file,
|  | long | tagOffset
| ) |  |

Create an ID3v1 tag and parse the data in file starting at tagOffset.

## ◆ ~Tag()

virtual TagLib::ID3v1::Tag::~Tag | ( |  | ) |
| virtual

Destroys this Tag instance.

Reimplemented from TagLib::Tag.

## Member Function Documentation

## ◆ album()

virtual String TagLib::ID3v1::Tag::album | ( |  | ) | const
| virtual

Returns the album name; if no album name is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ artist()

virtual String TagLib::ID3v1::Tag::artist | ( |  | ) | const
| virtual

Returns the artist name; if no artist name is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ comment()

virtual String TagLib::ID3v1::Tag::comment | ( |  | ) | const
| virtual

Returns the track comment; if no comment is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ fileIdentifier()

static ByteVector TagLib::ID3v1::Tag::fileIdentifier | ( |  | ) |
| static

Returns the string "TAG" suitable for usage in locating the tag in a file.

## ◆ genre()

virtual String TagLib::ID3v1::Tag::genre | ( |  | ) | const
| virtual

Returns the genre name; if no genre is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ genreNumber()

unsigned int TagLib::ID3v1::Tag::genreNumber | ( |  | ) | const

Returns the genre in number.

Note
  Normally 255 indicates that this tag contains no genre.

## ◆ parse()

void TagLib::ID3v1::Tag::parse | ( | const ByteVector & | data | ) |
| protected

Pareses the body of the tag in data.

## ◆ read()

void TagLib::ID3v1::Tag::read | ( |  | ) |
| protected

Reads from the file specified in the constructor.

## ◆ render()

ByteVector TagLib::ID3v1::Tag::render | ( |  | ) | const

Renders the in memory values to a ByteVector suitable for writing to the file.

## ◆ setAlbum()

virtual void TagLib::ID3v1::Tag::setAlbum | ( | const String & | s | ) |
| virtual

Sets the album to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setArtist()

virtual void TagLib::ID3v1::Tag::setArtist | ( | const String & | s | ) |
| virtual

Sets the artist to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setComment()

virtual void TagLib::ID3v1::Tag::setComment | ( | const String & | s | ) |
| virtual

Sets the comment to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setGenre()

virtual void TagLib::ID3v1::Tag::setGenre | ( | const String & | s | ) |
| virtual

Sets the genre to s. If s is String::null then this value will be cleared. For tag formats that use a fixed set of genres, the appropriate value will be selected based on a string comparison. A list of available genres for those formats should be available in that type's implementation.

Implements TagLib::Tag.

## ◆ setGenreNumber()

void TagLib::ID3v1::Tag::setGenreNumber | ( | unsigned int | i | ) |

Sets the genre in number to i.

Note
  Valid value is from 0 up to 255. Normally 255 indicates that this tag contains no genre.

## ◆ setStringHandler()

static void TagLib::ID3v1::Tag::setStringHandler | ( | const StringHandler * | handler | ) |
| static

Sets the string handler that decides how the ID3v1 data will be converted to and from binary data. If the parameter handler is null, the previous handler is released and default ISO-8859-1 handler is restored.

Note
  The caller is responsible for deleting the previous handler as needed after it is released.

See also
  StringHandler

## ◆ setTitle()

virtual void TagLib::ID3v1::Tag::setTitle | ( | const String & | s | ) |
| virtual

Sets the title to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setTrack()

virtual void TagLib::ID3v1::Tag::setTrack | ( | unsigned int | i | ) |
| virtual

Sets the track to i. If s is 0 then this value will be cleared.

Implements TagLib::Tag.

## ◆ setYear()

virtual void TagLib::ID3v1::Tag::setYear | ( | unsigned int | i | ) |
| virtual

Sets the year to i. If s is 0 then this value will be cleared.

Implements TagLib::Tag.

## ◆ title()

virtual String TagLib::ID3v1::Tag::title | ( |  | ) | const
| virtual

Returns the track name; if no track name is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ track()

virtual unsigned int TagLib::ID3v1::Tag::track | ( |  | ) | const
| virtual

Returns the track number; if there is no track number set, this will return 0.

Implements TagLib::Tag.

## ◆ year()

virtual unsigned int TagLib::ID3v1::Tag::year | ( |  | ) | const
| virtual

Returns the year; if there is no year set, this will return 0.

Implements TagLib::Tag.

The documentation for this class was generated from the following file:

- id3v1tag.h